Package com.castlabs.android.exoplayer2.ext.amlnativeplayer

## Class AmlTrackRendererPlugin

- java.lang.Object
- - com.castlabs.android.exoplayer2.ext.amlnativeplayer.AmlTrackRendererPlugin

- All Implemented Interfaces:
    `TrackRendererPlugin`

      public class AmlTrackRendererPlugin
      extends Object
      implements TrackRendererPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.castlabs.android.player.TrackRendererPlugin

      `TrackRendererPlugin.TrackRendererBuilder, TrackRendererPlugin.TrackRendererContainer, TrackRendererPlugin.Type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AmlTrackRendererPlugin()` |
    `AmlTrackRendererPlugin​(boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes)` |
    `AmlTrackRendererPlugin​(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TrackRendererPlugin.TrackRendererBuilder` | `create()` |
    `void` | `setDispatcher​(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmlTrackRendererPlugin

          public AmlTrackRendererPlugin()

    - #### AmlTrackRendererPlugin

          public AmlTrackRendererPlugin​(@Nullable
                                        com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)

    - #### AmlTrackRendererPlugin

          public AmlTrackRendererPlugin​(boolean doesVideoUseSharedMemory,
                                        boolean doesAudioUseSharedMemory,
                                        int videoSharedMemorySizeInBytes,
                                        int audioSharedMemorySizeInBytes)

  - ### Method Detail

    - #### setDispatcher

          public void setDispatcher​(@Nullable
                                    com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher dispatcher)

    - #### create

          @NonNull
          public TrackRendererPlugin.TrackRendererBuilder create()

      Specified by:
        `create` in interface `TrackRendererPlugin`